# API Reference

This chapter describes the APIs provided through the WEMIX Explorer Open API Server. The provided API types include Account API, Block API, Contract API,  Transaction API, Event logs API, Tokens API, etc.

* [Account APIs](/en/dapp-developer/api-reference/account-apis.md)
* [Block APIs](/en/dapp-developer/api-reference/block-apis.md)
* [Contract APIs](/en/dapp-developer/api-reference/contract-apis.md)
* [Transaction APIs](/en/dapp-developer/api-reference/transaction-apis.md)
* [Event logs APIs](/en/dapp-developer/api-reference/event-logs-apis.md)
* [Tokens APIs](/en/dapp-developer/api-reference/tokens-apis.md)

The WEMIX Developer APIs are provided as a community service and without warranty, so please just use what you need and no more. \
They support both GET/POST requests and a rate limit of 120 requests/m.

To use the API service, use the API key below.

{% hint style="info" %}
**API Key**

1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
{% endhint %}

{% hint style="success" %}
Either a link back or mention that your app is "Powered by Wemix.io APIs" is required if used in commercial applications or sites.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wemix.com/en/dapp-developer/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
